
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Erlang入门（三）——分布式编程 / iVAN</title>

    <meta name="description" content="Erlang入门（三）——分布式编程   明天要回家一个星期了,好好休息下.今天找到别人翻译的Erlang编程手册,值的好好读一遍.     所谓分布式的Erlang应用是运行在一系列Erlang节点组成的网络之上.这样的系统的性质与单一节点上的Erlang系统并没有什么不同.分布式这是个&quot;大词&quot;,Erlang从语言原生角度支持分布式编程,相比于java简单不少. 一.分布式机制 下列的BIFs是用于分布式编程:spawn(Node, Mod, Func, Args) 启动远程节点的一个进程 spawn_link ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Erlang入门（三）——分布式编程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>  明天要回家一个星期了，好好休息下。今天找到别人翻译的<a href="http://computebank.spaces.live.com/?_c11_BlogPart_BlogPart=blogview&amp;_c=BlogPart&amp;_c02_owner=1&amp;partqs=cat%3D%25e5%2588%2586%25e5%25b8%2583%25e5%25bc%258f%25e5%25b9%25b6%25e8%25a1%258c%25e8%25ae%25a1%25e7%25ae%2597" rel="external nofollow noreferrer">Erlang编程手册</a>，值的好好读一遍。<br />
    所谓分布式的Erlang应用是运行在一系列Erlang节点组成的网络之上。这样的系统的性质与单一节点上的Erlang系统并没有什么不同。分布式这是个“大词”，Erlang从语言原生角度支持分布式编程，相比于java简单不少。<br />
一、分布式机制<br />
下列的BIFs是用于分布式编程：<br />spawn(Node, Mod, Func, Args)<br />
启动远程节点的一个进程</p>
<p>spawn_link(Node, Mod, Func, Args)<br />
启动远程节点的一个进程并创建连接到该进程</p>
<p>monitor_node(Node, Flag)<br />
如果Flag是true,这个函数将使调用（该函数）的进程可以监控节点Node。如果节点已经舍弃或者并不存在，调用的进程将收到一个{nodedown,Node}的消息。如果Flag是false,监控将被关闭</p>
<p>node()<br />
返回我们自己的进程name</p>
<p>nodes()<br />
返回其他已知的节点name列表</p>
<p>node(Item)<br />
返回原来Item的节点名称，Item可以是Pid,引用（reference）或者端口(port)</p>
<p>disconnect_node(Nodename)<br />
从节点Nodename断开。</p>
<p>    节点是分布式Erlang的核心概念。在一个分布式Erlang应用中，术语（term)节点(node）意味着一个可以加入分布式transactions的运行系统。通过一个称为net kernal的特殊进程，一个独立的Erlang系统可以成为一个分布式Erlang系统的一部分。当net kernal进程启动的时候，我们称系统是alive的。</p>
<p>    与远程节点上的进程进行通信，与同一节点内的进程通信只有一点不同：<br />
  <br />
<br />
   {Name, Node} ! Mess.<br />
<br />
显然，需要接收方增加一个参数Node用于指定接受进程所在的节点。节点的name一般是用@隔开的atom类型，比如pong@dennis，表示计算机名为dennis上的pong节点。通过执行:</p>
<p>erl -sname pong<br />
<br />
将在执行的计算机中创建一个节点pong。为了运行下面的例子，你可能需要两台计算机，如果只有一台，只要同时开两个Erlang系统并以不同的节点名称运行也可以。</p>
<p>二、一些例子。<br />
    这个例子完全来自上面提到的翻译的连接，关于分布式编程的章节。我增加了截图和说明。<br />
首先是代码：</p>
<p>-module(tut17).</p>
<p>-export([start_ping/1, start_pong/0,  ping/2, pong/0]).</p>
<p>ping(0, Pong_Node) -&gt;<br />
    {pong, Pong_Node} ! finished,<br />
    io:format("ping finished~n", []);</p>
<p>ping(N, Pong_Node) -&gt;<br />
    {pong, Pong_Node} ! {ping, self()},<br />
    receive<br />
        pong -&gt;<br />
            io:format("Ping received pong~n", [])<br />
    end,<br />
    ping(N - 1, Pong_Node).</p>
<p>pong() -&gt;<br />
    receive<br />
        finished -&gt;<br />
            io:format("Pong finished~n", []);<br />
        {ping, Ping_PID} -&gt;<br />
            io:format("Pong received ping~n", []),<br />
            Ping_PID ! pong,<br />
            pong()<br />
    end.</p>
<p>start_pong() -&gt;<br />
    register(pong, spawn(tut17, pong, [])).</p>
<p>start_ping(Pong_Node) -&gt;<br />
    spawn(tut17, ping, [3, Pong_Node]).</p>
<p>    代码是创建两个相互通信的进程，相互发送消息并通过io显示在屏幕上，本来是一个单一系统的例子，现在我们让两个进程运行在不同的两个节点上。注意start_ping方法，创建的进程调用ping方法，ping方法有两个参数，一个是发送消息的次数，一个就是远程节点的name了，也就是我们将要创建的进程pong的所在节点。start_pong创建一个调用函数pong的进程，并注册为名字pong（因此在ping方法中可以直接发送消息给pong)。<br />
    我是在windows机器上测试，首先打开两个cmd窗口，并cd到Erlang的安装目录下的bin目录，比如C:\Program Files\erl5.5.3\bin,将上面的程序存为tut17.erl，并拷贝到同一个目录下。我们将创建两个节点，一个叫ping@dennis,一个叫pong@dennis,其中dennis是我的机器名。见下图：<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L2tpbGxtZTIwMDgvZC1lcmxhbmcxLmpwZw==.jpg"><br />
采用同样的命令</p>
<p>erl -sname ping<br />
<br />
创建ping节点。然后在pong节点下执行start_pong()：<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L2tpbGxtZTIwMDgvZC1lcmxhbmcyLmpwZw==.jpg"></p>
<p>OK,这样就在节点pong上启动了pong进程，然后在ping节点调用start_ping，传入参数就是pong@dennis</p>
<p>tut17:start_ping(pong@dennis).<br />
<br />
执行结果如下图：<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L2tpbGxtZTIwMDgvZC1lcmxhbmczLmpwZw==.jpg"><br />
同样在pong节点上也可以看到：<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L2tpbGxtZTIwMDgvZC1lcmxhbmc0LmpwZw==.jpg"></p>
<p>    结果如我们预期的那样，不同节点上的两个进程相互通信如此简单。我们给模块tut17增加一个方法，用于启动远程进程，也就是调用spawn(Node,Module,Func,Args)方法：</p>
<p>start(Ping_Node) -&gt;<br />
    register(pong, spawn(tut17, pong, [])),<br />
    spawn(Ping_Node, tut17, ping, [3, node()]).</p>
<p>pong进程启动Ping_Node节点上的进程ping。具体结果不再给出。</p>
<p>文章转自庄周梦蝶  ，原文发布时间5.17</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 07:52:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f/" title="分布式">分布式</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/node/" title="node">node</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>, <a href="https://www.iamivan.net/tag/erlang/" title="erlang">erlang</a>, <a href="https://www.iamivan.net/tag/ping/" title="Ping">Ping</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Erlang入门（三）——分布式编程的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bagXKNp.html" rel="bookmark">JDBC 入门&lpar;三&rpar;&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建表 首先,我们在我们的示例数据库创建其中一张表 COFFEES,包含在咖啡店所卖咖啡的必要的信息,包括咖啡名字,他们的价格,本星期卖了多少磅及迄今为止卖的数目.关于 COFFEES 表我们以后会详细描述,如下: COF_NAME SUP_ID PRICE SALES TOTAL Colombian 101 7.99 0 0 French_Roast 49 8.99 0 0 Espresso 150 9.99 0 0 Colombian_Decaf 101 8.99 0 0 French_Ro			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAAJ3XM.html" rel="bookmark">Erlang入门（五）&mdash;&mdash;补遗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				时搞不到&lt;Programming Erlang&gt;,最近就一直在看Erlang自带的例子和Reference Manual.基础语法方面有一些过去遗漏或者没有注意的,断断续续仅记于此. 1.Erlang的保留字有: after and andalso band begin bnot bor bsl bsr bxor case catch cond div end fun if let not of or orelse query receive rem try when xor 基本都是些用于逻			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm36Lab.html" rel="bookmark">Erlang入门（四）&mdash;&mdash;错误处理和鲁棒性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    去了趟福州,事情没搞定,托给同学帮忙处理了,回家休息了两天就来上班了.回家这几天最大的收获是第四次重读&lt;深入Java虚拟机&gt;,以前不大明了的章节豁然开朗,有种开窍的感觉,水到渠成,看来技术的学习还是急不来.     闲话不提,继续Erlang的学习,上次学习到分布式编程的章节,剩下三章分别是错误处理.构造健壮的系统和杂项,错误处理和构造健壮的系统今天一起读了,仅摘记下.     任何一门语言都有自己的错误处理机制,Erlang也不例外,语法错误编译器可以帮你指出,而逻辑错误和运行时错误			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7R8Jb.html" rel="bookmark">分布式编程模式中的租约、事务和分布式事件机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Jini技术面向网络及分布式计算的特性决定了Jini技术必然与传统的单机系统在许多方面有概念上和实际应用中的差别.如网络的延迟.失败,或者设备的突然撤出,将导致信息的无序和丢失:资源的获得.保存.维护和回收情况更为复杂:不同实体之间通讯和协调工作的可靠性及效率并不像单机系统中那样较为容易地获得保证.因而在 Jini 中以 Java 为基础加入了分布式编程模式,特别是引入了租约.分布式事务和分布式事件. 租约 租约的基本概念是资源只能被使用一段时间,这由租约的持有者(lease holder)和租			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNjaOWM.html" rel="bookmark">分布式编程模型的设计与演化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分布式编程模型的背景 编程模型是指编程的方法而不是特指某一种编程语言,如面向对象的编程就是一种编程模型.编程模型大致分为两类:命令式编程和声明式编程.前者最典型的是面向过程的编程语言,如C语言:后者与前者差异较大,如常见的SQL语言就是一种典型的声明式语言.   上图是命令式和声明式语言统计文件(表)内行数的具体程序,可以看出两者存在明显的差距.在命令式编程中,会有很多细节,需要告诉程序每一步做什么,中间状态怎么维护以及如何得到最终结果:而声明式编程相对更加简洁,更加注重结果而不考虑过程.  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2mj1M.html" rel="bookmark">Windows 8风格应用开发入门 三十五 触控输入</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows 8设备通常具有多点触摸屏,用户可以同时使用多个手指来进行不同的输入交互,如点击. 拖动或收缩等手势操作.另外Windows 8中将触摸.鼠标和笔/触笔交互是作为指针输入进行接收.处理 和管理. 一.手势处理 首先我们来汇总一下Windows 8中常用的手势都有哪些. 开发入门 三十五 触控输入-windows10触控板手势&quot;&gt; 1,点击:用一个手指触摸屏幕,然后抬起手指. 2,长按:用一个手指触摸屏幕并保持不动 . 3,滑动:用一个或多个手指触摸屏幕并向着同一方向移动. 4			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDAwLvb.html" rel="bookmark">Windows 8风格应用开发入门 三十一 构建磁贴</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				磁贴是吸引用户经常使用应用重要手段之一.我们可将应用程序内较好的内容使用磁贴进行展示. 另外应用程序磁贴是应用程序中的核心部分,而且很可能也是用户最常见到的部分,因此利用 动态磁贴来吸引用户经常使用我们的应用程序! 开发入门 三十一 构建磁贴-磁贴风格&quot;&gt; 本篇博文主要介绍如何创建基本磁贴(也就是默认磁贴)以及如何使用本地通知更新磁贴. 一.创建基本磁贴 基本磁贴也可以叫做默认磁贴.通常我们点击基本磁贴来启动或者切换应用 . 我们可以在应用程序清单文件中设置默认的静态磁贴,并且该静态磁贴分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAaYLnM.html" rel="bookmark">Windows 8风格应用开发入门 三十 应用生命周期管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开发入门 三十 应用生命周期管理-风格型产品生命周期&quot;&gt; Windows 8 中可以启动多个应用并在其中切换,我们没有必要担心降低系统速 度或消耗电池电量. 因为系统会自动挂起(有时会终止)在后台正在运行的应用.设计良好的应用可 以由系统挂起.终止以及重新启动,并且这些过程看起来该应用一直在运行中. 一.原理 1.当激活了应用时,无论任何原因,系统都会发送 Activated 事件 2.每当用户切换到桌面 或其他应用时,系统都会挂起你的应用,系统会发送Suspending事件 3.每当用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62k6NM.html" rel="bookmark">Windows 8风格应用开发入门 三 打包发布应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何打包Windows 8风格应用程序呢? 首先我们需要使用Windows 8内置Administrator账户才能进行打包,若使用本地普通账户或者Hotmail账号是无法正常打包的. 那么我们如何启用内置的Administrator账户呢?步骤如下: 1) 打开控制面板: 2) 打开管理工具: 3) 打开计算机管理: 4) 在系统工具中打开&quot;本地用户和组&quot;: 5) 打开用户文件夹: 6) 选择Administrator: 7) 在Administrator属性中&quot;账户已禁用			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA66ep.html" rel="bookmark" class="title">&lbrack;Linux&rsqb;使用sshconfig简化访问机器命令</a>
					<div>
						前提,你的机器上已经有公钥,秘钥,对访问35.20机器已经不需要密码 1.在你的机器的.ssh目录下创建config文件 2.填写内容如下 Host macmini HostName 10.32.84 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnE3kM.html" rel="bookmark" class="title">使用QMailadmin实现QMail邮件账户的Web管理</a>
					<div>
						硬件环境:HPNetserverE60128M内存单网卡 软件环境: 以下为引用的内容: Redhat6.2 vPOPmail4.9.4 QMail1.3 MySQL-3.23.22-beta ucs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlROWRz.html" rel="bookmark" class="title">MySQL数据表在phpmyadmin中的强制修复</a>
					<div>
						是数据库就难免出错,出了错就肯定需要修复. phpmyadmin是很好的mysql管理工具,他里面就有针对某个数据库中某个表的修复功能.但是当这个表已经无法打开的时候就根本看不到这个操作(实际上是we ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKxYxp.html" rel="bookmark" class="title">Python中的异常处理</a>
					<div>
						  这篇文章主要介绍了解析Python中的异常处理,异常处理是学习每门编程语言都必须掌握的重要知识,本文代码基于Python2.x版本,需要的朋友可以参考下 在程序运行的过程中,如果发生了错误,可以事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1WX7b.html" rel="bookmark" class="title">归并排序-数据结构C语言顺序表的排序和删除问题</a>
					<div>
						问题描述 数据结构C语言顺序表的排序和删除问题 顺序表定义的长度为10000,此时程序可以正常运行:把顺序表长度改成500000,程序出错,不能运行.求问大神是哪里出了错误,还是要提高存储上限?如何改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaZ7QM.html" rel="bookmark" class="title">通过C&plus;&plus;学习Python&lowbar;python</a>
					<div>
						我会随便说,C++ 近年来开始&quot;抄袭&quot; Python 么?我只会说,我在用 C++ 来学习 Python. 不信?来跟着我学? 字面量 Python 早在 2.6 版本中就支持将二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YWJdM.html" rel="bookmark" class="title">PHP-5&period;4&period;4 安装 APC 启东php-fpm 提示</a>
					<div>
						Gracefully shutting down php-fpm . done Starting php-fpm *** glibc detected *** /srv/php-5.4.4/sbin/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxgrRb.html" rel="bookmark" class="title">手机-如何查看安卓这些分区的大小信息？</a>
					<div>
						问题描述 如何查看安卓这些分区的大小信息? 如何查看自己安卓手机这些分区信息? block boot recovery system userdata cache 解决方案 安装android deb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm61O1z.html" rel="bookmark" class="title">Linux设置nfs共享目录</a>
					<div>
						一.查看是否安装NFS(portmap是用于RPC传输的) [cpp] view plain copy print? # rpm -q nfs-utils portmap   nfs-utils-1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm09vM.html" rel="bookmark" class="title">hbase-spark创建dataframe导入phoenix如何禁止自动创建字段编号</a>
					<div>
						问题描述 spark创建dataframe导入phoenix如何禁止自动创建字段编号 请教:从HDFS里读一个文件,map开拿出数据,转换成dataframe类型,再放入phoenix里面.转换成da ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWVRdz.html" rel="bookmark" class="title">企业微信给用户带来的是社交减负还会是社交焦虑？</a>
					<div>
						日前,腾讯公布将了即将发布&quot;企业微信&quot;APP的消息,并邀请了部分企业进行内测.据悉,企业微信的正式版或将在两个月内发布,从内测截图可以看到,企业微信有员工&quot;休息&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLOKVp.html" rel="bookmark" class="title">NVIDIA演示幻灯片中惊现下一代Macbook Air&sol;Pro？</a>
					<div>
						据Hardware.info网站报道,NVIDIA展示公司最新http://www.aliyun.com/zixun/aggregation/18377.html&quot;&gt;图形芯片的幻灯片中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ8BKp.html" rel="bookmark" class="title">html5 如何调用手机相册&comma;进行上传照片</a>
					<div>
						问题描述 html5如何调用手机相册,进行上传照片?调用的方式在Android和ios系统都可以正常使用吗? 解决方案 解决方案二:CapturingAudio&amp;VideoinHTML5htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJYddp.html" rel="bookmark" class="title">Google有可能根据搜索结果点击率改善排名</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 Google的界面中很早就已经加入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5JlRz.html" rel="bookmark" class="title">Bootstrap Table使用心得总结&lowbar;javascript技巧</a>
					<div>
						之前一直在调研我们的管理后台使用的表格控件,查询到 : http://bootstrap-table.wenzhixin.net.cn的Bootstrap Table 感觉挺不错,但是由于官方的文档不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKrNRz.html" rel="bookmark" class="title">JavaScript中URL编码函数代码&lowbar;javascript技巧</a>
					<div>
						以下是对变量值的URL编码总结 : 建议用encodeURIComponent() , GET 和POST方式都可以发送过去 . JavaScript中存在几种对URL字符串进行编码的方法:escap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmQ6mz.html" rel="bookmark" class="title">mvc 视图刷新</a>
					<div>
						问题描述 点击下载刷新下载数 解决方案 解决方案二:直接执行一个ajax请求,直接js更新数字,不用等后台响应解决方案三:前台直接JS给下载数+1然后后台请求资源的时候更新下资源的下载数解决方案四:求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlrOAp.html" rel="bookmark" class="title">中网与四大满贯之间 还差多少个大数据分析？</a>
					<div>
						ZD至顶网软件频道消息 (文/张晓楠):在刚刚过去的&quot;十一&quot;黄金周,除了看&quot;人山人海&quot;之外还有一个好去处,那就是去国家网球中心看中网.于是乎这个&quot;十一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqP6Bp.html" rel="bookmark" class="title">暴雪CEO透露魔兽易主将暂停游戏运营</a>
					<div>
						比特网(Chinabyte)5月8日消息,今天上午,在动视暴雪公布2009年财报的电话会议上,暴雪CEO兼总裁迈克尔·莫海米(Michael Morhaime)透露,魔兽代理交割之后,中间将会出现短暂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWnZKp.html" rel="bookmark" class="title">【好书试读】大数据处理之道</a>
					<div>
						开始试读:https://yqfile.alicdn.com/e62f864d518c11f5d19f53d0719de69c.pdf 天猫购买链接:大数据处理之道 近年来,&quot;大数据&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyOYEM.html" rel="bookmark" class="title">动态规划法&mdash;&mdash;求解0-1背包问题</a>
					<div>
						 问题描述 0-1背包问题与背包问题(贪心法--背包问题)最大的不同就是背包问题的子问题彼此之间没有联系,所以只要找出解决方法,然后用贪心算法,取得局部最优解就ok了,但是0-1背包问题更复杂,因为物 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgxXez.html" rel="bookmark" class="title">传苹果ARM芯片电脑将使用全新键盘配大触控板</a>
					<div>
						硅谷网讯 据业内人士称,苹果测试基于ARM架构芯片的笔记本电脑,已经有了一段时间,现在行业最关心的是,苹果何时会对外推出ARM芯片的笔记本或是一体机,一则最新的消息称:这一时间点越来越近. 苹果的A系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRgRDz.html" rel="bookmark" class="title">《21天学通C语言（第6版&bull;修订版）》一1&period;7 问与答</a>
					<div>
						1.7 问与答 21天学通C语言(第6版•修订版)问:如果要将自己编写的程序提供给别人,应提供哪些文件? 答:C语言的优点之一是,它是一种编译型语言.这意味着对源代码进行编译后,将得到一个可执行程序- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YoL3z.html" rel="bookmark" class="title">百度可能入主纵横中文网 在线文学继续升温</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网易科技讯 近日,据可靠业内人士透 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9vQLkp.html" rel="bookmark" class="title">这是一个云计算的时代</a>
					<div>
						这是一个云计算的时代. 这是一个互联网的时代. 这是一个分工合作,快速奔跑的时代. 云计算的概念在国内经过多年的造势与推广已经逐渐的落地,随着IaaS.SaaS和PaaS服务模式的不断落地,云计算对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXOEQM.html" rel="bookmark" class="title">新手帖，按照基础课本来做一个十进制转十六进制的che程序，但结果却不对，又一直没找到原因，希望哪位大神帮忙看看，哪里出错了，谢谢了！</a>
					<div>
						问题描述 classG{publicstaticvoidmain(String[]args){toTex(60);}publicstaticvoidtoTex(intnum){char[]att={' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaox8b.html" rel="bookmark" class="title">网易即将发布网易云音乐 涉足数字音乐市场</a>
					<div>
						DoNews 4月10日消息 网易宣布即将正式发布一款战略级移动应用产品网易云音乐.网易音乐高级总监王磊表示,网易云音乐即将推出全新的版本,并公布网易云音乐的定位和发展战略. 王磊透露,网易云音乐将是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWwwDb.html" rel="bookmark" class="title">分析称Android开发者收入欠佳根源不在盗版</a>
					<div>
						导读:瑞典IT服务公司Pingdom今天撰文称,Android开发者之所以无法获得可观的收入,真正原因并不是盗版,而是可以通过Android Market付费购买应用的国家和地区太少. 以下为文章全文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zw5ZZ8M.html" rel="bookmark" class="title">C&num;如何实现EXE文件传输呢</a>
					<div>
						问题描述 做了个简单的C#的C/S,要求安装服务和客户端的两机器互相可以传输EXE等格式文件,应该怎么做呢 解决方案 解决方案二:看看remoting吧现在好像叫windowsservices?自己写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baaq9Qb.html" rel="bookmark" class="title">墨西哥全球首次实现Li-Fi商用</a>
					<div>
						墨西哥将成为全球首个商用Li-Fi(光保真技术)的国家.此次商用借助了语音.视频以及互联网每秒传输速度高达15M的被称作LedCom的技术.LedCom技术是Sisoft研发出来的,并在2016年1月 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
